Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002656GameMaker: Studio[All Projects] Generalpublic2012-04-16 18:022013-03-05 14:55
ReporterLee Turner 
Assigned ToMike Dailly 
PriorityLowSeverityC - GeneralReproducibility<25%
StatusclosedResolutionno change required 
PlatformOSOS Version
Summary0002656: Still some issues with collisions and event
Descriptionkeywords: [GameMaker: HTML5] Objects


The following issue has been SUBMITTED.
======================================================================
http://bugs.yoyogames.com/view.php?id=3042 [^]
======================================================================
Reported By: borise
Assigned To:
======================================================================
Project: GameMaker: HTML5
Issue ID: 3042
Verify: Please check the FAQ first!
http://wiki.yoyogames.com/index.php/GM4HTML5_FAQ [^]
======================================================================
======================================================================
inheritance
Description:
Scenario one: a "grandparent" object has an event handler. A "Parent"
object inherits from it and a final object inherits from the parent.
Calling "event_inherited" from the object will only call an event in the
parent it won't pass control deeper.

Scenario two: a parent object type defines a collision with another parent
object. The derived "child" object defines a collision with another child
object. In this case control is not passing to the parent's event, worse
still the child event is called twice.

Scenario one has a workaround: add extra stub events in the intermediate
object to ensure the event is inherited across "generations".

Scenario two is going to be very difficult to work around, if the child
event was called only once then inheritance could be forced using one of
the event functions, but the child event also gets called twice.
======================================================================

Issue History
Date Modified Username Field Change
======================================================================
2011-10-29 08:02 borise New Issue
2011-10-29 08:02 borise File Added: collision_inheritance_2.gmz
          
======================================================================

GM Version
Attached Files

- Relationships

-  Notes
(0000755)
Mike Dailly (administrator)
2012-04-16 21:21

resolved previously.

- Issue History
Date Modified Username Field Change
2012-04-16 18:02 Lee Turner New Issue
2012-04-16 21:21 Mike Dailly Note Added: 0000755
2012-04-16 21:21 Mike Dailly Status new => resolved
2012-04-16 21:21 Mike Dailly Resolution open => no change required
2012-04-16 21:21 Mike Dailly Assigned To => Mike Dailly
2013-03-05 14:55 Ross Manthorp Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker